Description: iBCS module - For use with Linux 2.0 and kerneld
Name: iBCS
Version: 2.0
Release: 1
ExclusiveArch: i386
Copyright: GPL
Group: Base/Kernel
Requires: modules >= 2.0.0
Source0: ftp://tsx-11.mit.edu/pub/linux/BETA/ibcs2/ibcs-2.0-960610.tar.gz
Source1: README.RHCL

%prep
%setup -n ibcs

%build
(cd iBCSemul ; make all )

%install
mkdir -p /lib/modules/default/misc
install -m644 iBCSemul/iBCS /lib/modules/default/misc

mkdir -p /dev/inet
mknod /dev/socksys c 30 0
ln -s socksys /dev/nfsd
ln -s null /dev/X0R
mknod /dev/spx c 30 1
mknod /dev/inet/ip c 30 32
mknod /dev/inet/icmp c 30 33
mknod /dev/inet/ggp c 30 34
mknod /dev/inet/ipip c 30 35
mknod /dev/inet/tcp c 30 36
mknod /dev/inet/egp c 30 37
mknod /dev/inet/pup c 30 38
mknod /dev/inet/udp c 30 39
mknod /dev/inet/idp c 30 40
mknod /dev/inet/rawip c 30 41
ln -s udp /dev/inet/arp
ln -s udp /dev/inet/rip
cd /dev/inet
for i in *; do
  ln -s inet/$i ../$i
done

%post
/sbin/depmod -a

%files
%doc $RPM_SOURCE_DIR/README.RHCL
%doc README RELEASE CREDITS
%doc Doc/COMPAT
%doc Doc/HINTS
%doc Doc/Notes.Signal
%doc Doc/Syscall.map
%doc Doc/Error.map
%doc Doc/Local-X
%doc Doc/Personality

/lib/modules/default/misc/iBCS

%dir /dev/inet
/dev/inet/ip
/dev/inet/icmp
/dev/inet/ggp
/dev/inet/ipip
/dev/inet/tcp
/dev/inet/egp
/dev/inet/pup
/dev/inet/udp
/dev/inet/idp
/dev/inet/rawip
/dev/inet/arp
/dev/inet/rip
/dev/socksys
/dev/nfsd
/dev/X0R
/dev/spx
/dev/arp
/dev/egp
/dev/ggp
/dev/icmp
/dev/idp
/dev/ip
/dev/ipip
/dev/pup
/dev/rawip
/dev/rip
/dev/tcp
/dev/udp
